<?
	$pageName = 'Bugs';
	$focused = "none";					// Dock icon name to get a border
	require "../parts/preamble.php";		// Load most of document
?>
<?

function do_list ($title, $name, $list, $def)
{
	$list = explode (',', $list);
	$count = count ($list);
	echo '<TR><TD align="left">' . $title . '</TD><TD align="right">';
	printf ("<SELECT name=\"%s\">", $name);
	for ($i = 0; $i < $count; $i++) {
		printf ("<OPTION%s>%s</OPTION>", $def == $list[$i] ? " selected" : "", $list[$i]);
	}
	echo "</SELECT></TD></TR>";
}

function do_inputline ($title, $name, $len, $def)
{
	echo '<TR><TD align="left">' . $title . '</TD><TD align="right">';
	printf ('<INPUT name="%s" type="text" size="%d" value="%s"></INPUT>', $name, $len, $def);
	echo '</TD></TR>';
}

function do_inputtext ($title, $name, $width, $height, $def)
{
	echo '<TR><TD colspan="2" align="left">' . $title . '<BR>';
	printf ('<TEXTAREA name="%s" cols="%d" rows="%d">%s</TEXTAREA>', $name, $width, $height, $def);
	echo '</TD></TR>';
}

function do_submit ()
{
	echo '<TR><TD align="left"></TD><TD align="right">';
	echo '<INPUT type="submit" value="Submit"></INPUT>';
	echo '</TD></TR>';
}

if ($os && $ver && $prog && $type && $desc && $details) {
	$subject = $desc;
	$text = 'OS: ' . $os . chr (10) .
			'version: ' . $ver . chr (10) .
			'program: ' . $prog . chr (10) .
			'type: ' . $prog . chr (10) .
			chr (10) .
			$details;

	echo 'Subject: ' . $subject . '<br>';
	echo '<code>' . $text . '</code>';
	//mail ('quakeforge-devel@lists.quakeforge.net', $subject, $text, "From: taniwha");
} else {
	?><strong>Doesn't work yet.<strong><FORM name="bug" method="post"><table><?
	do_list ("Operating System", "os", ",Windows,Linux,FreeBSD,NetBSD,OpenBSD,Other", $os);
	do_list ("Quakeforge Version", "ver", ",0.5.3,0.5.2,0.2.1 (q2),0.2 (q2)", $ver);
	do_list ("Program", "prog", ",NQ,QW client,NQ server,QW server,QW master,HW master,bsp2img,qfbsp,qfcc,qfdefs,qflight,qfmodelgen,qfprpogs,qfvis,qfwavinfo", $prog);
	do_list ("Bug Type", "type", ",wishlist,minor,annoying,can't play", $type);
	do_inputline ("Brief Description", "desc", 60, $desc);
	do_inputtext ("Detailed Description", "details", 60, 10, $details);
	do_submit ();
	?></table></FORM><?
}
?>

<?
	require "../parts/postamble.php";		// Finish this sucker up
?>
